package com.ssj.service.conch.teacher.library.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.util.List;

public class SignReq extends BaseRequest {

    private static final long serialVersionUID = 2734447285505596061L;

    @ApiModelProperty(name = "vipIds", value = "学生id列表", required = true)
    @NotEmpty
    private List<String> vipIdList;

    @ApiModelProperty(name = "type", value = "操作类型：1签到，2签离")
    @NotNull
    private Integer type;

    public List<String> getVipIdList() {
        return vipIdList;
    }

    public void setVipIdList(List<String> vipIdList) {
        this.vipIdList = vipIdList;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
